put
https://api.talkdeskapp.com/users//call-streaming-settings
Updates the call streaming settings for a user
Supported Regions and Base URLs
Access and RegistrationAuthentication
Scope
call-streaming-settings:write
Body Request - Example
{
"agent_stream_enabled": true,
"agent_stream_url": "wss://talkdesk.org/my/wss/endpoint",
"agent_stream_track": "both_tracks"
}Body Response - Schema
204 (operation completed successfully)
| Parameter | Type | Description | Required |
|---|---|---|---|
| agent_stream_enabled | boolean | enables or disables the stream of the agent's calls for the given user | yes |
| agent_stream_url | string | The URL to where Twilio will stream the audio from the agent's call. Match pattern: ^wss://.*$ | yes |
| agent_stream_track | string | The audio track from the agent's call that should be streamed by Twilio. Allowed values: inbound_track , outbound_track, both_tracks | yes |
400 (bad request), 401 (unauthorized), 403 (forbidden), 404 (not found), 500 (internal server error)
| Parameter | Type | Description | Required |
|---|---|---|---|
| code | string | n/a | yes |
| message | string | n/a | yes |
| description | string | n/a | no |
| fields | array[object] | "fields" subdivides into: "name" (string) "description" (string) | yes (name and description) |
API AvailabilityThe Conversation Streams API is only available for customers enrolled in Talkdesk's Early Access (EA) program. To enter the EA program, contact a Customer Success Manager.
The Conversation Streams has been in EA since January 2022.
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.